import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

import '../view_model/web_view_model.dart';

class ScaffoldWebView extends StatefulWidget {
  final ScalloldWebViewViewModel customController;

  const ScaffoldWebView({super.key, required this.customController});

  @override
  State<StatefulWidget> createState() {
    return ScaffoldWebViewState();
  }
}

class ScaffoldWebViewState extends State<ScaffoldWebView> {
  @override
  void initState() {
    super.initState();
    widget.customController.bindState(this);
  }

  @override
  Widget build(BuildContext context) {
    
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: widget.customController.appBar,
      body: ListenableBuilder(
        listenable: widget.customController,
        builder: (context, child) {
          return WebViewWidget(controller: widget.customController.controller);
        },
      ),
    );
  }
}
